---
updatedAt: 2025-06-11T20:41:43.000Z
agentTools:
  projectIndex: https://docs.allthatnode.com/llms.txt
---

# eth_getUncleByBlockHashAndIndex-polygon

Returns information about a uncle of a block by hash and uncle index position.

> ❗️ Deprecated
>
> Methods related to "uncle block" are no longer supported.

# Parameters

* `DATA`, 32 Bytes - The hash of a block.
* `QUANTITY` - The uncle's index position.

```curl Example
curl https://polygon-mainnet-archive.allthatnode.com:8545/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--request POST \
--header "Content-Type: application/json" \
--data '{
    "jsonrpc":"2.0",
    "id":1,
    "method":"eth_getUncleByBlockHashAndIndex",
    "params":[
         "0x3ce4b575c42cfdb633120dc5569ac60b456dee65e8edbba3e146a50cf845a499",
  "0x0"
    ]
}'
```

**Note**: An uncle doesn't contain individual transactions.

# Returns

* `Object` - A block object, or null when no block was found:
  * `number`: `QUANTITY` - the block number. null when its pending block.
  * `hash`: `DATA`, 32 Bytes - hash of the block. null when its pending block.
  * `parentHash`: `DATA`, 32 Bytes - hash of the parent block.
  * `nonce`: `DATA`, 8 Bytes - hash of the generated proof-of-work. null when its pending block.
  * `sha3Uncles`: `DATA`, 32 Bytes - SHA3 of the uncles data in the block.
  * `logsBloom`: `DATA`, 256 Bytes - the bloom filter for the logs of the block. null when its pending block.
  * `transactionsRoot`: `DATA`, 32 Bytes - the root of the transaction trie of the block.
  * `stateRoot`: `DATA`, 32 Bytes - the root of the final state trie of the block.
  * `receiptsRoot`: `DATA`, 32 Bytes - the root of the receipts trie of the block.
  * `miner`: `DATA`, 20 Bytes - the address of the beneficiary to whom the mining rewards were given.
  * `difficulty`: `QUANTITY` - integer of the difficulty for this block.
  * `totalDifficulty`: `QUANTITY` - integer of the total difficulty of the chain until this block.
  * `extraData`: `DATA` - the "extra data" field of this block.
  * `size`: `QUANTITY` - integer the size of this block in bytes.
  * `gasLimit`: `QUANTITY` - the maximum gas allowed in this block.
  * `gasUsed`: `QUANTITY` - the total used gas by all transactions in this block.
  * `timestamp`: `QUANTITY` - the unix timestamp for when the block was collated.
  * `transactions`: `Array` - Array of transaction objects, or 32 Bytes transaction hashes depending on the last given parameter.
  * `uncles`: `Array` - Array of uncle hashes.

```json Example
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "difficulty": "0x4ea3f27bc",
        "extraData": "0x476574682f4c5649562f76312e302e302f6c696e75782f676f312e342e32",
        "gasLimit": "0x1388",
        "gasUsed": "0x0",
        "hash": "0xdc0818cf78f21a8e70579cb46a43643f78291264dda342ae31049421c82d21ae",
        "logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
        "miner": "0xbb7b8287f3f0a933474a79eae42cbca977791171",
        "mixHash": "0x4fffe9ae21f1c9e15207b1f472d5bbdd68c9595d461666602f2be20daf5e7843",
        "nonce": "0x689056015818adbe",
        "number": "0x1b4",
        "parentHash": "0xe99e022112df268087ea7eafaf4790497fd21dbeeb6bd7a1721df161a6657a54",
        "receiptsRoot": "0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421",
        "sha3Uncles": "0x1dcc4de8dec75d7aab85b567b6ccd41ad312451b948a7413f0a142fd40d49347",
        "size": "0x220",
        "stateRoot": "0xddc8b0234c2e0cad087c8b389aa7ef01f7d79b2570bccb77ce48648aa61c904d",
        "timestamp": "0x55ba467c",
        "totalDifficulty": "0x78ed983323d",
        "transactions": [],
        "transactionsRoot": "0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421",
        "uncles": []
    }
}
```

***

# Try Yourself

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "polygon-rpc",
    "version": "0.5.0"
  },
  "servers": [
    {
      "url": "https://polygon-mainnet-rpc.allthatnode.com:8545"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/{apiKey}": {
      "post": {
        "summary": "net_version-polygon",
        "description": "Returns the current network id.",
        "operationId": "net_version-polygon",
        "parameters": [
          {
            "name": "apiKey",
            "in": "path",
            "schema": {
              "type": "string",
              "default": "8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "id",
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "id": {
                    "type": "string",
                    "default": "1"
                  },
                  "jsonrpc": {
                    "type": "string",
                    "default": "2.0"
                  },
                  "method": {
                    "type": "string",
                    "default": "net_version"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```